Missing translation: label_all_time
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.2.3

Description

With #30466 the label label_all_time was removed, as it not used anymore. But it seems that it still used somehow, as it is shown in

the "Spent time" area:

 

Our environment:

Environment:

  Redmine version                4.2.3.stable

  Ruby version                   2.6.6-p146 (2020-03-31) [x86_64-linux]

  Rails version                  5.2.6

  Environment                    production

  Database adapter               Mysql2

History

#1 - 2021-11-12 09:32 - Go MAEDA

Do you use some plugins?

I suspect that the old label is used by a third-party plugin. If so, the plugin should define label_all_time for Redmine 4.1 or later.

#2 - 2021-11-12 09:46 - Veit Jahns

Go MAEDA wrote:

Do you use some plugins?

I suspect that the old label is used by a third-party plugin. If so, the plugin should define label_all_time for Redmine 4.1 or later.

 We use the following plugins:

Redmine plugins:

  redmine_gitlab_hook            4.0.0

  redmine_spent_time             4.0.0

  sortable_table                 0.99

 I guess it is the redmine_spent_time plugin. I will check an open an issue for the plugin's project.

#3 - 2021-11-12 11:43 - Veit Jahns

- Status changed from New to Resolved

The plugin redmine_spent_time still uses this label: Opened a pull request for the plugin: https://github.com/eyp/redmine_spent_time/pull/121

#4 - 2021-11-13 07:30 - Go MAEDA

- Status changed from Resolved to Closed

- Resolution set to Invalid
https://www.redmine.org/issues/30466
https://github.com/eyp/redmine_spent_time/pull/121


Thank you for the feedback. Closing.
